package com.junmp.jyzb.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 
 * @TableName bussiness_order
 */
@TableName(value ="bussiness_order")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Order implements Serializable {
    /**
     * 单子id
     */
    @TableId(value = "id",type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 号型id
     */
    @TableField("size_id")
    private String sizeId;

    /**
     * 号型名称
     */
    @TableField("size_name")
    private String sizeName;

    /**
     * 类别id
     */
    @TableField("type_id")
    private String typeId;

    /**
     * 类别名称
     */
    @TableField("size_name")
    private String typeName;

    /**
     * 申请时间
     */
    @TableField("apply_time")
    private Date applyTime;

    /**
     * 申请人
     */
    @TableField("applicant_id")
    private String applicantId;

    /**
     * 接收人
     */
    @TableField("recipient_id")
    private String recipientId;

    /**
     * 申请理由
     */
    @TableField("apply_reason")
    private String applyReason;

    /**
     * 仓库id
     */
    @TableField("location_id")
    private String locationId;

    /**
     * 申请人组织机构id
     */
    @TableField("org_id")
    private Long orgId;

    /**
     * 创世时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Date updateTime;

    /**
     * 创建人员
     */
    @TableField("create_user")
    private String createUser;

    /**
     * 更新人员
     */
    @TableField("update_user")
    private String updateUser;


    private static final long serialVersionUID = 1L;


}