package com.junmp.jyzb.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("bussiness_order_num")
public class OrderNum implements Serializable {
    @TableId(value = "id",type = IdType.ASSIGN_UUID )
    private String id;

    @TableField("out_in_type")
    private String outInType;

    @TableField("bussiness_type")
    private String bussinessType;
    
    private Integer num;

    private Integer year;

    @TableField("org_id")
    private Long orgId;

    /**
     * 创建时间
     */
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(value = "update_time", fill = FieldFill.UPDATE)
    private Date updateTime;

}
