package com.junmp.jyzb.api.bean.query;


import com.junmp.v2.common.bean.request.BaseRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class InventorySumReq extends BaseRequest {
    /**
     * 批次主键
     */
    private Long orgId;
    /**
     * 组织机构名称
     */
    private String orgName;
    /**
     * 位置ID（仓库id或者单警柜id）
     */
    private String locationId;
    /**
     * 位置信息
     */
    private String locationName;
    /**
     * 类型ID
     */
    private String typeId;
    /**
     * 类型名称
     */
    private String typeName;
    /**
     * 号型ID
     */
    private String sizeId;
    /**
     * 号型名称
     */
    private String sizeName;

}
