package com.junmp.jyzb.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.junmp.jyzb.api.bean.query.OrderMainReq;
import com.junmp.jyzb.api.exception.enums.CabinetExceptionEnum;
import com.junmp.jyzb.entity.OrderLog;
import com.junmp.jyzb.service.OrderLogService;
import com.junmp.jyzb.mapper.OrderLogMapper;
import com.junmp.jyzb.service.PubOrgService;
import com.junmp.v2.common.exception.base.ServiceException;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
* @author lxh专属坐骑
* @description 针对表【bussiness_order_log】的数据库操作Service实现
* @createDate 2023-08-18 16:49:39
*/
@Service
public class OrderLogServiceImpl extends ServiceImpl<OrderLogMapper, OrderLog>
    implements OrderLogService {

    @Resource
    private PubOrgService pubOrgService;

    @Override
    public List<OrderLog> getLogsList(OrderMainReq req) {
        //判断组织机构id是否传递，如果传递判断是否存在，否则抛出异常
        pubOrgService.PubOrgExist(req.getOrgId());
        //判断orderType业务是入库还是出库，根据出入库的不同，查询的单据也不同
        if (req.getOrderType().equals("in")){
//            list(new LambdaQueryWrapper<OrderLog>()
//                    .eq(OrderLog::get)
//                    .eq());
        } else if (req.getOrderType().equals("out")) {

        }else {
            throw new ServiceException(CabinetExceptionEnum.PARAMETER_ERROR);
        }
        return list();
    }
}




